Cyberduck Mountain Duck CLI

#9317 closed defect (fixed)

SignatureDoesNotMatch error for signed URLs with AWS4 signing methods

Reported by: mariogonzalez Owned by: dkocher
Priority: normal Milestone: 5.0
Component: s3 Version: 4.8
Severity: normal Keywords: S3 Signed URL
Cc: Architecture:
Platform: Windows 8

Description (last modified by dkocher)

Hi,

Today I have update cyberduck to 4.8 and now when I use signed URL it always leaves me this error:

'''SignatureDoesNotMatch'''

'''The request signature we calculated does not match the signature you provided. Check your key and signing method.'''

Key and signing method didn't change and It didn't happen with previous versions.

Thanks and best regards. Mario

Change History (6)

comment:1 Changed on Feb 29, 2016 at 11:14:46 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Feb 29, 2016 at 8:47:20 PM by dkocher

  • Milestone set to 4.8.3
  • Status changed from new to assigned

comment:3 follow-up: Changed on Feb 29, 2016 at 8:53:15 PM by dkocher

Looks like this only happens when authenticated with AWS4-HMAC-SHA256.

comment:4 in reply to: ↑ 3 Changed on Mar 1, 2016 at 8:30:18 AM by mariogonzalez

This Authentication Protocol is the only supported for Frankfurt region, and this protocol have been woriking correctly since december, 2014 (https://trac.cyberduck.io/ticket/8386) and only stops working with last ciberduck update.

Please let me know if I can help you.

Thanks and regards, Mario

Replying to dkocher:

Looks like this only happens when authenticated with AWS4-HMAC-SHA256.

comment:5 Changed on Mar 4, 2016 at 2:06:20 PM by dkocher

  • Summary changed from S3 signed URLs not working since last update to SignatureDoesNotMatch error for signed URLs with AWS4 signing methods

comment:6 Changed on May 10, 2016 at 2:53:34 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r20379.

Note: See TracTickets for help on using tickets.
swiss made software